Set integration status
Enables or disables an integration by transitioning its status.
Enables or disables an integration by transitioning its status.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
status*string
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/recon/v1/integrations/497f6eca-6276-4993-bfeb-53cbbbba6f08/status" \ -H "Content-Type: application/json" \ -d '{ "status": "string" }'{
"id": "01900000-0000-7000-8000-000000000040",
"code": "bca_qris",
"name": "BCA QRIS",
"category": "acquirer",
"file_type": "csv",
"parser_type": "csv_standard",
"status": "inactive",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-03-01T00:00:00Z"
}{
"error": "validation_failed",
"message": "Request body is invalid",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "unauthorized",
"message": "Bearer token is missing or invalid",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "not_found",
"message": "The requested resource was not found",
"request_id": "01900000-0000-7000-8000-000000000001"
}Was this page helpful?